qpid-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Gordon Sim <g...@redhat.com>
Subject Re: Unable to install qpid on Linux
Date Mon, 16 Mar 2009 10:16:24 GMT
ft420 wrote:
> Please find below error that i get when i try to execute make install i.e.
> 2nd step mentioned in installation document INSTALL.txt
> 
> In file included from ./qpid/broker/Queue.h:29,
>                  from ./qpid/broker/Deliverable.h:24,
>                  from ./qpid/broker/Exchange.h:26,
>                  from ./qpid/broker/DirectExchange.h:26,
>                  from ./qpid/broker/Broker.h:27,
>                  from qpid/acl/Acl.cpp:22:
> ./qpid/broker/QueueBindings.h:25:44: boost/ptr_container/ptr_list.hpp: No
> such file or directory

This is a result of having boost 1.32 and not applying the compatibility 
patch[1]. I believe you are on RHEL4 where 1.32 is the supported boost 
version so this patch is probably the best option.

Alternatively you would have to compile and install boost 1.33 or higher 
yourself.


[1]  http://svn.apache.org/repos/asf/qpid/trunk/qpid/cpp/boost-1.32-support



---------------------------------------------------------------------
Apache Qpid - AMQP Messaging Implementation
Project:      http://qpid.apache.org
Use/Interact: mailto:users-subscribe@qpid.apache.org


Mime
View raw message